<?php

namespace Drupal\static_build\Release\Task;

/**
 * A interface for factories that create TaskInterface objects.
 */
interface TaskFactoryInterface {

  /**
   * Creates a task object.
   *
   * @param string $dir
   *   Path to the directory where task info is stored.
   * @param string $id
   *   Task id.
   *
   * @return \Drupal\static_build\Release\Task\TaskInterface
   *   A task object.
   */
  public function create(string $dir, string $id): TaskInterface;

}
