<?php

namespace Drupal\static_export_graphql_resolver;

/**
 * An interface to define a handler for querying GraphQL.
 */
interface GraphqlQueryHandlerInterface {

  /**
   * Executes a GraphQL query.
   *
   * @param string $graphqlQuery
   *   GraphQL query.
   * @param array $variables
   *   Optional array of variables to pass to the GraphQL query.
   *
   * @return array
   *   The query result.
   *
   * @throws \Drupal\Component\Plugin\Exception\PluginException
   * @throws \Drupal\static_suite\StaticSuiteUserException
   */
  public function query(string $graphqlQuery, array $variables = []): array;

}
