<?php

namespace Drupal\static_export\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a Static Output Formatter plugin annotation object.
 *
 * @see \Drupal\static_export\Plugin\OutputFormatterManagerInterface
 * @see plugin_api
 *
 * @Annotation
 */
class StaticOutputFormatter extends Plugin {

  /**
   * The plugin ID.
   *
   * This is NOT the file extension.
   *
   * @var string
   */
  public $id;

  /**
   * The label of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $label;

  /**
   * The description of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $description;

  /**
   * The file extension.
   *
   * @var string
   */
  public $extension;

}
