<?php

namespace Drupal\static_export\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a Static resolver plugin annotation object.
 *
 * @see \Drupal\static_export\Plugin\ResolverManagerInterface
 * @see plugin_api
 *
 * @Annotation
 */
class StaticResolver extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The label of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $label;

  /**
   * The description of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $description;

  /**
   * Format that a resolver uses to return its data.
   *
   * Most resolvers won't return any specific format, but an array that will
   * be later formatted by an @StaticOutputFormatter. In such cases, this field
   * must be left empty.
   *
   * But if a resolver can't return an array, it must define its format here.
   * This format will be directly used, without calling @StaticOutputFormatter.
   * File extension is derived from this value, transforming it to lower case.
   *
   * @var string
   */
  public $format;

}
