<?php

namespace Drupal\static_export\Plugin\OutputFormatter;

use Drupal\Component\Plugin\PluginBase;
use Drupal\static_export\Plugin\OutputFormatterInterface;

/**
 * Provides a JSON output formatter.
 *
 * @StaticOutputFormatter(
 *  id = "json",
 *  label = "JSON",
 *  description = "JSON output formatter",
 *  extension = "json",
 * )
 */
class JsonOutputFormatter extends PluginBase implements OutputFormatterInterface {

  /**
   * {@inheritdoc}
   */
  public function format(array $data): string {
    return json_encode($data, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
  }

}
