<?php

namespace Drupal\static_export\Plugin\OutputFormatter;

use Drupal\Component\Plugin\PluginBase;
use Drupal\static_export\Plugin\OutputFormatterInterface;

/**
 * Provides a YAML output formatter.
 *
 * @StaticOutputFormatter(
 *  id = "yaml",
 *  label = "YAML",
 *  description = "YAML output formatter",
 *  extension = "yaml",
 * )
 */
class YamlOutputFormatter extends PluginBase implements OutputFormatterInterface {

  /**
   * {@inheritdoc}
   */
  public function format(array $data): string {
    return yaml_emit($data);
  }

}
